KABC::DistributionListManager Class Reference

`#include <distributionlist.h>`

## Public Member Functions

| DistributionListManager (AddressBook *)
| ~DistributionListManager ()
DistributionList * | list (const QString &name)
void | insert (DistributionList *)
void | remove (DistributionList *)
QStringList | listNames ()
bool | load ()
bool | save ()

## Detailed Description

Manager of distribution lists.

This class represents a collection of distribution lists, which are associated with a given address book.

Definition at line 122 of file distributionlist.h.

## Constructor & Destructor Documentation

DistributionListManager::DistributionListManager | ( | AddressBook * | ab | ) |

Create manager for given address book.

Definition at line 120 of file distributionlist.cpp.

DistributionListManager::~DistributionListManager | ( |  | ) |

Destructor.

Definition at line 127 of file distributionlist.cpp.

## Member Function Documentation

void DistributionListManager::insert | ( | DistributionList * | l | ) |

Insert distribution list.

If a list with this name already exists, nothing happens. The passed object is deleted by the manager.

Definition at line 145 of file distributionlist.cpp.

DistributionList * DistributionListManager::list | ( | const QString & | name | ) |

Return distribution list with given name.

Definition at line 135 of file distributionlist.cpp.

QStringList DistributionListManager::listNames | ( |  | ) |

Return names of all distribution lists managed by this manager.

Definition at line 174 of file distributionlist.cpp.

bool DistributionListManager::load | ( |  | ) |

Load distribution lists form disk.

Definition at line 186 of file distributionlist.cpp.

void DistributionListManager::remove | ( | DistributionList * | l | ) |

Remove distribution list.

If a list with this name doesn't exist, nothing happens.

Definition at line 160 of file distributionlist.cpp.

bool DistributionListManager::save | ( |  | ) |

Save distribution lists to disk.

Definition at line 232 of file distributionlist.cpp.

The documentation for this class was generated from the following files:

- distributionlist.h
- distributionlist.cpp

KDE Home | KDE Accessibility Home | Description of Access Keys